package com.template.model.enumModel;

/**
 * @Author: binguo
 * @Date: 2023/7/6 星期四 16:34
 * @Description: com.template.model.enumModel
 * @Version: 1.0
 * 职务数据
 */
public enum eDuties {
    ClassTeacher(1);//班主任


    private int value;

    eDuties(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eDuties valueOf(int value) {
        switch (value) {
            case 1:
                return eDuties.ClassTeacher;
            default:
                return null;
        }
    }

    public static Integer integerOf(String value) {
        switch (value) {
            case "班主任":
                return 1;
            default:
                return null;
        }
    }

    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "班主任";
            default:
                return null;
        }
    }
}
